# -*- encoding: utf-8 -*-
# stub: websocket-driver 0.6.3 ruby lib
# stub: ext/websocket-driver/extconf.rb

Gem::Specification.new do |s|
  s.name = "websocket-driver".freeze
  s.version = "0.6.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["James Coglan".freeze]
  s.date = "2020-03-19"
  s.email = "jcoglan@gmail.com".freeze
  s.extensions = ["ext/websocket-driver/extconf.rb".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["CHANGELOG.md".freeze, "README.md".freeze, "examples/tcp_server.rb".freeze, "ext/websocket-driver/WebsocketMaskService.java".freeze, "ext/websocket-driver/extconf.rb".freeze, "ext/websocket-driver/websocket_mask.c".freeze, "lib/websocket/driver.rb".freeze, "lib/websocket/driver/client.rb".freeze, "lib/websocket/driver/draft75.rb".freeze, "lib/websocket/driver/draft76.rb".freeze, "lib/websocket/driver/event_emitter.rb".freeze, "lib/websocket/driver/headers.rb".freeze, "lib/websocket/driver/hybi.rb".freeze, "lib/websocket/driver/hybi/frame.rb".freeze, "lib/websocket/driver/hybi/message.rb".freeze, "lib/websocket/driver/proxy.rb".freeze, "lib/websocket/driver/server.rb".freeze, "lib/websocket/driver/stream_reader.rb".freeze, "lib/websocket/driver/utf8_match.rb".freeze, "lib/websocket/http.rb".freeze, "lib/websocket/http/headers.rb".freeze, "lib/websocket/http/request.rb".freeze, "lib/websocket/http/response.rb".freeze, "lib/websocket/websocket_mask.rb".freeze]
  s.homepage = "http://github.com/faye/websocket-driver-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze, "README.md".freeze, "--markup".freeze, "markdown".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "WebSocket protocol handler with pluggable I/O".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<websocket-extensions>.freeze, [">= 0.1.0"])
    s.add_development_dependency(%q<eventmachine>.freeze, [">= 0"])
    s.add_development_dependency(%q<permessage_deflate>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 0.8.0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  else
    s.add_dependency(%q<websocket-extensions>.freeze, [">= 0.1.0"])
    s.add_dependency(%q<eventmachine>.freeze, [">= 0"])
    s.add_dependency(%q<permessage_deflate>.freeze, [">= 0"])
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 0.8.0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
  end
end
